local files, directories = file.Find("menu/local/*.lua", "LuaMenu")

local function load()

for k, v in pairs(files) do

	if (v == "init.lua") then
		continue
	end
	
	include(v)
	
	MsgC(Color(0,255,255),"include -> " .. v .. "\n")
	
end

end

function sleep(int, fn)

	if (type(fn) == "function") then

		timer.Simple(int, fn)
	
	else
	
	timer.Simple(int, function()
		RunGameUICommand("engine " .. fn)
	end)
	
	end
	
end

load()

concommand.Add("menu_reload", load)

sleep(5, "menu_cleanupgmas")



concommand.Add("iamanoob", function()
MsgN([[ 
	
	spam commands syntax ...
	
	spam <commands>
	spam_timed <commands> spams a command every 5s
	spam_bind <commands> spams whatever command is bound to a given key
	
	prop <amount> <path> spams a given amount of props

	spam_var <interval> <commands> can handle a lot of jobs at once, run with no args to clear all jobs
	
	
	all of these can be toggled by running them with no args
	
	menu_addon <workshipid> installs and mounts a given workshop addon
	
	
	menu_sleep <command> runs a given command after 10s
	
	ctrl + L to clear console
	
	luam is menu side lua
	
]])
end)